package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public class VipGroupSalarySettlementDto implements Serializable {

//    @ApiModelProperty("收费VIP线上课收费标准")
//    private VipGroupSalarySettlementTypeDto vipOnlineSalarySettlement;

    @ApiModelProperty("收费VIP线下课收费标准")
    private VipGroupSalarySettlementTypeDto offlineSalarySettlement;

//    @ApiModelProperty("赠送VIP线上课收费标准")
//    private VipGroupSalarySettlementTypeDto giveVipOnlineSalarySettlement;

    @ApiModelProperty("赠送VIP线下课收费标准")
    private VipGroupSalarySettlementTypeDto giveVipOfflineSalarySettlement;

    @ApiModelProperty("网管课收费标准")
    private VipGroupSalarySettlementTypeDto practiceSalarySettlement;

    @ApiModelProperty("赠送网管课收费标准")
    private VipGroupSalarySettlementTypeDto givePracticeSalarySettlement;

    public VipGroupSalarySettlementTypeDto getOfflineSalarySettlement() {
        return offlineSalarySettlement;
    }

    public void setOfflineSalarySettlement(VipGroupSalarySettlementTypeDto offlineSalarySettlement) {
        this.offlineSalarySettlement = offlineSalarySettlement;
    }

    public VipGroupSalarySettlementTypeDto getGiveVipOfflineSalarySettlement() {
        return giveVipOfflineSalarySettlement;
    }

    public void setGiveVipOfflineSalarySettlement(VipGroupSalarySettlementTypeDto giveVipOfflineSalarySettlement) {
        this.giveVipOfflineSalarySettlement = giveVipOfflineSalarySettlement;
    }

    public VipGroupSalarySettlementTypeDto getPracticeSalarySettlement() {
        return practiceSalarySettlement;
    }

    public void setPracticeSalarySettlement(VipGroupSalarySettlementTypeDto practiceSalarySettlement) {
        this.practiceSalarySettlement = practiceSalarySettlement;
    }

    public VipGroupSalarySettlementTypeDto getGivePracticeSalarySettlement() {
        return givePracticeSalarySettlement;
    }

    public void setGivePracticeSalarySettlement(VipGroupSalarySettlementTypeDto givePracticeSalarySettlement) {
        this.givePracticeSalarySettlement = givePracticeSalarySettlement;
    }
}
